/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 设备详情表(tbl_device)
 *
 * @author Administrator
 */
@Entity
@Table(name = "tbl_device")
public class Tbl_Device implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 3405700970095511149L;

    /**
     * 设备Id
     */
    @Id
    @Column(name = "device_id", unique = true, nullable = false, length = 10)
    private Integer deviceId;

    /**
     * 服务器IP
     */
    @Column(name = "server_ip", nullable = true, length = 50)
    private String serverIp;

    /**
     * 设备IP
     */
    @Column(name = "device_ip", nullable = true, length = 50)
    private String deviceIp;

    /**
     * 是否为摄像头：1是，0否
     */
    @Column(name = "is_camera", nullable = true, length = 1)
    private String isCamera;

    /**
     * 设备Mac地址
     */
    @Column(name = "mac_address", unique = true, nullable = true, length = 50)
    private String macAddress;

    /**
     * 登陆时间
     */
    @Column(name = "login_time", nullable = true)
    private Date loginTime;

    /**
     * 是否在黑名单：1不在、0在
     */
    @Column(name = "is_blacklist", nullable = true, length = 1)
    private String isBlacklist;

    /**
     * 设备型号
     */
    @Column(name = "hardware_type", nullable = true, length = 10)
    private String hardwareType;

    /**
     * 是否推送
     */
    @Column(name = "on_off", nullable = true, length = 1)
    private String onOff;

    /**
     * 今天是否提醒：1提醒、0不提醒
     */
    @Column(name = "today_remind", nullable = true, length = 1)
    private String todayRemind;

    /**
     * 是否开启换水提醒：1开启、0不开启
     */
    @Column(name = "water_remind", nullable = true, length = 1)
    private String waterRemind;

    /**
     * 换水提醒日期
     */
    @Column(name = "remind_date", nullable = true)
    private Date remindDate;

    /**
     * 换水周期
     */
    @Column(name = "remind_cycle", nullable = true, length = 10)
    private Integer remindCycle;

    /**
     * 电子厂代码
     */
    @Column(name = "factory_code", nullable = true, length = 20)
    private String factoryCode;

    /**
     * 鱼缸场代码
     */
    @Column(name = "brand_code", nullable = true, length = 20)
    private String brandCode;

    /**
     * 摄像头ID
     */
    @Column(name = "camera_id", nullable = true, length = 20)
    private String cameraId;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * 摄像头激活码
     */
    @Column(name = "active_code", nullable = true, length = 50)
    private String activeCode;

    /**
     * 摄像头激活时间
     */
    @Column(name = "active_time", nullable = true)
    private Date activeTime;

    /**
     * 修改时间
     */
    @Column(name = "update_time", nullable = true)
    private Date updateTime;

    /**
     * 获取设备Id
     *
     * @return 设备Id
     */
    public Integer getDeviceId() {
        return this.deviceId;
    }

    /**
     * 设置设备Id
     *
     * @param deviceId 设备Id
     */
    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }

    /**
     * 获取服务器IP
     *
     * @return 服务器IP
     */
    public String getServerIp() {
        return this.serverIp;
    }

    /**
     * 设置服务器IP
     *
     * @param serverIp 服务器IP
     */
    public void setServerIp(String serverIp) {
        this.serverIp = serverIp;
    }

    /**
     * 获取设备IP
     *
     * @return 设备IP
     */
    public String getDeviceIp() {
        return this.deviceIp;
    }

    /**
     * 设置设备IP
     *
     * @param deviceIp 设备IP
     */
    public void setDeviceIp(String deviceIp) {
        this.deviceIp = deviceIp;
    }

    /**
     * 获取是否为摄像头：1是，0否
     *
     * @return 是否为摄像头：1是
     */
    public String getIsCamera() {
        return this.isCamera;
    }

    /**
     * 设置是否为摄像头：1是，0否
     *
     * @param isCamera 是否为摄像头：1是，0否
     */
    public void setIsCamera(String isCamera) {
        this.isCamera = isCamera;
    }

    /**
     * 获取设备Mac地址
     *
     * @return 设备Mac地址
     */
    public String getMacAddress() {
        return this.macAddress;
    }

    /**
     * 设置设备Mac地址
     *
     * @param macAddress 设备Mac地址
     */
    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    /**
     * 获取登陆时间
     *
     * @return 登陆时间
     */
    public Date getLoginTime() {
        return this.loginTime;
    }

    /**
     * 设置登陆时间
     *
     * @param loginTime 登陆时间
     */
    public void setLoginTime(Date loginTime) {
        this.loginTime = loginTime;
    }

    /**
     * 获取是否在黑名单：1不在、0在
     *
     * @return 是否在黑名单
     */
    public String getIsBlacklist() {
        return this.isBlacklist;
    }

    /**
     * 设置是否在黑名单：1不在、0在
     *
     * @param isBlacklist 是否在黑名单：1不在、0在
     */
    public void setIsBlacklist(String isBlacklist) {
        this.isBlacklist = isBlacklist;
    }

    /**
     * 获取设备型号
     *
     * @return 设备型号
     */
    public String getHardwareType() {
        return this.hardwareType;
    }

    /**
     * 设置设备型号
     *
     * @param hardwareType 设备型号
     */
    public void setHardwareType(String hardwareType) {
        this.hardwareType = hardwareType;
    }

    /**
     * 获取是否推送
     *
     * @return 是否推送
     */
    public String getOnOff() {
        return this.onOff;
    }

    /**
     * 设置是否推送
     *
     * @param onOff 是否推送
     */
    public void setOnOff(String onOff) {
        this.onOff = onOff;
    }

    /**
     * 获取今天是否提醒：1提醒、0不提醒
     *
     * @return 今天是否提醒
     */
    public String getTodayRemind() {
        return this.todayRemind;
    }

    /**
     * 设置今天是否提醒：1提醒、0不提醒
     *
     * @param todayRemind 今天是否提醒：1提醒、0不提醒
     */
    public void setTodayRemind(String todayRemind) {
        this.todayRemind = todayRemind;
    }

    /**
     * 获取是否开启换水提醒：1开启、0不开启
     *
     * @return 是否开启换水提醒
     */
    public String getWaterRemind() {
        return this.waterRemind;
    }

    /**
     * 设置是否开启换水提醒：1开启、0不开启
     *
     * @param waterRemind 是否开启换水提醒：1开启、0不开启
     */
    public void setWaterRemind(String waterRemind) {
        this.waterRemind = waterRemind;
    }

    /**
     * 获取换水提醒日期
     *
     * @return 换水提醒日期
     */
    public Date getRemindDate() {
        return this.remindDate;
    }

    /**
     * 设置换水提醒日期
     *
     * @param remindDate 换水提醒日期
     */
    public void setRemindDate(Date remindDate) {
        this.remindDate = remindDate;
    }

    /**
     * 获取换水周期
     *
     * @return 换水周期
     */
    public Integer getRemindCycle() {
        return this.remindCycle;
    }

    /**
     * 设置换水周期
     *
     * @param remindCycle 换水周期
     */
    public void setRemindCycle(Integer remindCycle) {
        this.remindCycle = remindCycle;
    }

    /**
     * 获取电子厂代码
     *
     * @return 电子厂代码
     */
    public String getFactoryCode() {
        return this.factoryCode;
    }

    /**
     * 设置电子厂代码
     *
     * @param factoryCode 电子厂代码
     */
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    /**
     * 获取鱼缸场代码
     *
     * @return 鱼缸场代码
     */
    public String getBrandCode() {
        return this.brandCode;
    }

    /**
     * 设置鱼缸场代码
     *
     * @param brandCode 鱼缸场代码
     */
    public void setBrandCode(String brandCode) {
        this.brandCode = brandCode;
    }

    /**
     * 获取摄像头ID
     *
     * @return 摄像头ID
     */
    public String getCameraId() {
        return this.cameraId;
    }

    /**
     * 设置摄像头ID
     *
     * @param cameraId 摄像头ID
     */
    public void setCameraId(String cameraId) {
        this.cameraId = cameraId;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置创建时间
     *
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取摄像头激活码
     *
     * @return 摄像头激活码
     */
    public String getActiveCode() {
        return this.activeCode;
    }

    /**
     * 设置摄像头激活码
     *
     * @param activeCode 摄像头激活码
     */
    public void setActiveCode(String activeCode) {
        this.activeCode = activeCode;
    }

    /**
     * 获取摄像头激活时间
     *
     * @return 摄像头激活时间
     */
    public Date getActiveTime() {
        return this.activeTime;
    }

    /**
     * 设置摄像头激活时间
     *
     * @param activeTime 摄像头激活时间
     */
    public void setActiveTime(Date activeTime) {
        this.activeTime = activeTime;
    }

    /**
     * 获取修改时间
     *
     * @return 修改时间
     */
    public Date getUpdateTime() {
        return this.updateTime;
    }

    /**
     * 设置修改时间
     *
     * @param updateTime 修改时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
